ابزاری مفید برای بررسی سازگاری کدها با مرورگرهای مختلف

مسئله ی سازگاری مرورگرها با کدهای نوشته شده، یکی از مسائلی است که توسعه دهندگان وب زمان زیادی را برای بررسی آن صرف می کنند. با استفاده از یک مجموعه ی کارآمد Node می توانید به سادگی بررسی کنید که ویژگی یا Feature جدید و جذابی که می خواهید استفاده کنید آیا با بیشتر مرورگرها سازگاری دارد و آنها به راحتی می توانند آن را اجرا کنند یا خیر؟ برای آشنایی بیشتر با این ابزار قدرتمند، با سکان آکادمی همراه باشید.

Can I use’s NPM package افزونه ای از سایت مفید caniuse.com است که با استفاده از آن می توانید به راحتی بررسی کنید که چقدر یک استاندارد توسط مرورگرها و دیوایس های مختلف پذیرفته شده است.

زمانی که می خواهید درباره ی استفاده از یک ویژگی اطلاعات کسب کنید به عنوان مثال استفاده از Web socket، تنها کافی است تا در قسمت مشخص شده این عبارت را تایپ کنید: caniuse websockets و همان لحظه پاسخ خود را دریافت می کنید و متوجه خواهید شد که این ویژگی در کدام مرورگرها و چطور کار خواهد کرد.

برای استفاده از این سرویس، شما ابتدا به Node و  NPM نیاز خواهید داشت، سپس می توانید با تایپ کردن npm install -g caniuse-cmd آن را نصب کرده و برای استفاده از آن آماده شوید.

این ابزار کوچک و مفید به شما کمک می کند تا کار توسعه ی وب را بهتر و سریع تر انجام دهید و نیاز نخواهید داشت تا هر بار برای بررسی کردن سازگاری کد با مرورگرها، از محیط کدنویسی خارج شوید و به مرورگر -یا بهتر بگوییم مرورگرهای- خود رجوع کنید.

Use this handy command line tool to check if your code works across browsers

0







از طریق این فرم، می توانید بدون ثبت نام نظر دهید و یا اگر قبلا ثبت نام کرده اید، با ورود ناحیه ی کاربری می توانید علاوه بر ثبت نظر، به مدیریت نظرات خود نیز بپردازید.
(فیلد اجباری)
(فیلد اجباری)
(فیلد اجباری)
(فیلد اجباری)